# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | List of all members
dirac::UpConverter Class Reference

Upconversion class. More...

`#include <upconvert.h>`

## Public Member Functions
| UpConverter (int min_val, int max_val, int orig_xlen, int orig_ylen)
| Constructor. More...
| ~UpConverter ()
| Destructor. More...
void | DoUpConverter (const PicArray &pic_data, PicArray &up_data)
| Upconvert the picture data. More...

## Private Member Functions
| UpConverter (const UpConverter &cpy)
| Private body-less copy constructor: class should not be copied. More...
UpConverter & | operator= (const UpConverter &rhs)
| Private body-less assignment: class should not be assigned. More...
void | RowLoop (PicArray &up_data, const int row_num, const int filter_size, const int filter_shift, const short taps[4])
| Applies the filter to a row and its successor. More...

## Private Attributes
int | m_width_old
int | m_height_old
int | m_width_new
int | m_height_new
const int | m_min_val
const int | m_max_val
const int | m_orig_xl
const int | m_orig_yl

## Detailed Description

Class to upconvert data by a factor of 2 in both dimensions

## Constructor & Destructor Documentation

dirac::UpConverter::UpConverter | ( | int | min_val,
|  | int | max_val,
|  | int | orig_xlen,
|  | int | orig_ylen
| ) |  |

dirac::UpConverter::~UpConverter | ( |  | ) |
| inline

dirac::UpConverter::UpConverter | ( | const UpConverter & | cpy | ) |
| private

## Member Function Documentation

void dirac::UpConverter::DoUpConverter | ( | const PicArray & | pic_data,
|  | PicArray & | up_data
| ) |  |

Upconvert the picture data, where the parameters are

Parameters

  pic_data | is the original data
  up_data | is the upconverted data

UpConverter& dirac::UpConverter::operator= | ( | const UpConverter & | rhs | ) |
| private

void dirac::UpConverter::RowLoop | ( | PicArray & | up_data,
|  | const int | row_num,
|  | const int | filter_size,
|  | const int | filter_shift,
|  | const short | taps[4]
| ) |  |
| private

## Member Data Documentation

int dirac::UpConverter::m_height_new
| private

int dirac::UpConverter::m_height_old
| private

const int dirac::UpConverter::m_max_val
| private

const int dirac::UpConverter::m_min_val
| private

const int dirac::UpConverter::m_orig_xl
| private

const int dirac::UpConverter::m_orig_yl
| private

int dirac::UpConverter::m_width_new
| private

int dirac::UpConverter::m_width_old
| private

The documentation for this class was generated from the following file:

- upconvert.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.